Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Exported Structures and Definitions
[Remote Capture]

## Data Structures
struct | pcap_rmtauth
| This structure keeps the information needed to autheticate the user on a remote machine. More...
## Defines
#define | PCAP_BUF_SIZE 1024
| Defines the maximum buffer size in which address, port, interface names are kept.
#define | PCAP_SRC_FILE 2
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IFLOCAL 3
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IFREMOTE 4
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_FILE_KEY "file://"
| String that will be used to determine the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IF_KEY "rpcap://"
| String that will be used to determine the type of source in use (null, file, remote/local interface).
#define | PCAP_OPENFLAG_PROMISCUOUS 1
| pcap_open(): selects promiscuous mode
#define | PCAP_OPENFLAG_SERVEROPEN_DP 2
| pcap_open(): selects who has to open the data connection(remote capture)
#define | PCAP_OPENFLAG_UDP_DP 4
| pcap_open(): selects if the data connection has to be on top of UDP
#define | RPCAP_RMTAUTH_NULL 0
| It defines the NULL authentication.
#define | RPCAP_RMTAUTH_PWD 1
| It defines the username/password authentication.
#define | RPCAP_HOSTLIST_SIZE 1024
| Maximum lenght of an host name (needed for the RPCAP active mode).
#define | SOCKET unsigned int
| In Win32, sockets use unsigned integers; in UNIX, they use signed integer.

## Define Documentation

#define PCAP_BUF_SIZE 1024

| Defines the maximum buffer size in which address, port, interface names are kept. In case the adapter name or such is larger than this value, it is truncated. This is not used by the user; however it must be aware that an hostname / interface name longer than this value will be truncated. Definition at line 73 of file remote-ext.h. Referenced by daemon_serviceloop(), daemon_startcapture(), pcap_open(), pcap_open_live(), pcap_opensource_remote(), pcap_parsesrcstr(), and pcap_startcapture_remote().

#define PCAP_OPENFLAG_PROMISCUOUS 1

| pcap_open(): selects promiscuous mode Definition at line 136 of file remote-ext.h. Referenced by pcap_open_live(), and pcap_startcapture_remote().

#define PCAP_OPENFLAG_SERVEROPEN_DP 2

| pcap_open(): selects who has to open the data connection(remote capture) Definition at line 138 of file remote-ext.h.

#define PCAP_OPENFLAG_UDP_DP 4

| pcap_open(): selects if the data connection has to be on top of UDP Definition at line 140 of file remote-ext.h. Referenced by pcap_startcapture_remote().

#define PCAP_SRC_FILE 2

| Internal representation of the type of source in use (null, file, remote/local interface). This indicates a file, i.e. the user want to open a capture from a local file. Definition at line 83 of file remote-ext.h. Referenced by pcap_createsrcstr(), pcap_open(), and pcap_parsesrcstr().

#define PCAP_SRC_FILE_KEY "file://"

| String that will be used to determine the type of source in use (null, file, remote/local interface). This string will be prepended to the interface name in order to create a string that contains all the information required to open the source. This string indicates that the user wants to open a capture from a local file. Definition at line 113 of file remote-ext.h.

#define PCAP_SRC_IF_KEY "rpcap://"

| String that will be used to determine the type of source in use (null, file, remote/local interface). This string will be prepended to the interface name in order to create a string that contains all the information required to open the source. This string indicates that the user wants to open a capture from a network interface. This string does not necessarily involve the use of the RPCAP protocol. If the interface required resides on the local host, the RPCAP protocol is not involved and the local functions are used. Definition at line 126 of file remote-ext.h.

#define PCAP_SRC_IFLOCAL 3

| Internal representation of the type of source in use (null, file, remote/local interface). This indicates a local interface, i.e. the user want to open a capture from a local interface. This does not involve the RPCAP protocol. Definition at line 91 of file remote-ext.h. Referenced by pcap_createsrcstr(), pcap_open(), and pcap_parsesrcstr().

#define PCAP_SRC_IFREMOTE 4

| Internal representation of the type of source in use (null, file, remote/local interface). This indicates a remote interface, i.e. the user want to open a capture from an interface on a remote host. This does involve the RPCAP protocol. Definition at line 99 of file remote-ext.h. Referenced by pcap_createsrcstr(), pcap_open(), pcap_open_live(), pcap_opensource_remote(), and pcap_parsesrcstr().

#define RPCAP_HOSTLIST_SIZE 1024

| Maximum lenght of an host name (needed for the RPCAP active mode). Definition at line 218 of file remote-ext.h. Referenced by pcap_remoteact_list().

#define RPCAP_RMTAUTH_NULL 0

| It defines the NULL authentication. This value has to be used within the 'type' member of the pcap_rmtauth structure. The 'NULL' authentication has to be equal to 'zero', so that old applications can just put every field of struct pcap_rmtauth to zero, and it does work. Definition at line 204 of file remote-ext.h. Referenced by daemon_checkauth(), and rpcap_sendauth().

#define RPCAP_RMTAUTH_PWD 1

| It defines the username/password authentication. With this type of authentication, the RPCAP protocol will use the username/ password provided to authenticate the user on the remote machine. If the authentication is successful (and the user has the right to open network devices) the RPCAP connection will continue; otherwise it will be dropped. This value has to be used within the 'type' member of the pcap_rmtauth structure. Definition at line 215 of file remote-ext.h. Referenced by daemon_checkauth(), and rpcap_sendauth().

#define SOCKET unsigned int

| In Win32, sockets use unsigned integers; in UNIX, they use signed integer. So, we define a generic SOCKET in order to be cross-platform compatible. Definition at line 63 of file sockutils.h. Referenced by daemon_endcapture(), daemon_startcapture(), main_active(), main_passive(), pcap_opensource_remote(), pcap_remoteact_accept(), pcap_startcapture_remote(), and sock_open().

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.